package com.hzya.frame.sys.app.dao;


import com.hzya.frame.sys.app.entity.SysApp;

import java.util.List;

/**
 * @description: 应用表  dao
 * @tableName: sys_app 
 * @entityName: SysApp
 * @author: llg
 * @history:1.0
 */
public interface ISysAppMapper {
        //通过ID获取数据    entity_get
        SysApp entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<SysApp> entity_list_base(SysApp SysApp);

        //分页查询列表 采用like格式 entity_list_like
        List<SysApp> entity_list_like(SysApp SysApp);

        //分页查询列表 采用like格式 entity_list_like
        List<SysApp> entity_list_like_page(SysApp SysApp);

        //查询列表 字段采用or格式   entity_list_or
        List<SysApp> entity_list_or(SysApp SysApp);

        //新增  entity_insert
        Integer entity_insert(SysApp SysApp);

        //修改  entity_update
        Integer entity_update(SysApp SysApp);

        //物理删除    entity_delete
        Integer entity_delete(SysApp SysApp);


        Integer logicDelete_Multi_Condition(SysApp sysApp);

        Integer entity_list_base_count(SysApp checkEntity);
}
